Subject: Re: bug#15209: guix 0.3 does not compile on fedora core 8 nodes

From: [email-masked] (Ludovic Courtès)
Date: Fri, 30 Aug 2013 09:16:36 +0200

Matthias Wachs <[email-masked]> skribis:

> +#ifndef CLONE_NEWPID
> +#define CLONE_NEWPID            0x20000000      /* New pid namespace */
> +#endif
> +#ifndef CLONE_NEWNET
> +#define CLONE_NEWNET            0x40000000      /* New network namespace */
> +#endif 
> +#ifndef CLONE_NEWIPC
> +#define CLONE_NEWIPC            0x08000000      /* New ipcs */
> +#endif 
> +#ifndef CLONE_NEWUTS
> +#define CLONE_NEWUTS            0x04000000      /* New utsname group? */
> +#endif 

I’m reluctant to adding such a patch because (1) as was already
mentioned, these features are missing only on very old kernels, and
(2) if the libc headers don’t define these flag, chances are that
clone(2) doesn’t support them anyway.

WDYT?

Thanks,
Ludo’.